Skip to main content
GET
Get Stripe Configuration

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

project_id
string<uuid>
required

Response

StripeConfigResponse · object | null

Successful Response

Stripe configuration response with masked credentials.

id
string<uuid>
required
project_id
string<uuid>
required
is_active
boolean
required
has_test_credentials
boolean
required
has_live_credentials
boolean
required
created_at
string<date-time>
required
test_secret_key_masked
string | null
test_publishable_key_masked
string | null
test_webhook_secret_masked
string | null
live_secret_key_masked
string | null
live_publishable_key_masked
string | null
live_webhook_secret_masked
string | null
test_configured_at
string<date-time> | null
live_configured_at
string<date-time> | null
updated_at
string<date-time> | null